﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="14.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|ARM">
      <Configuration>Debug</Configuration>
      <Platform>ARM</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|ARM">
      <Configuration>Release</Configuration>
      <Platform>ARM</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|ARM64">
      <Configuration>Debug</Configuration>
      <Platform>ARM64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|ARM64">
      <Configuration>Release</Configuration>
      <Platform>ARM64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x86">
      <Configuration>Debug</Configuration>
      <Platform>x86</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x86">
      <Configuration>Release</Configuration>
      <Platform>x86</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="config.h" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="Alc\ALc.c" />
    <ClCompile Include="Alc\alcConfig.c" />
    <ClCompile Include="Alc\alcRing.c" />
    <ClCompile Include="Alc\ALu.c" />
    <ClCompile Include="Alc\backends\base.c" />
    <ClCompile Include="Alc\backends\loopback.c" />
    <ClCompile Include="Alc\backends\null.c">
      <ObjectFileName Condition="'$(Configuration)|$(Platform)'=='Debug|ARM64'">$(IntDir)/backend/%(filename).o</ObjectFileName>
      <ObjectFileName Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'">$(IntDir)/backend/%(filename).o</ObjectFileName>
      <ObjectFileName Condition="'$(Configuration)|$(Platform)'=='Debug|x86'">$(IntDir)/backend/%(filename).o</ObjectFileName>
      <ObjectFileName Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">$(IntDir)/backend/%(filename).o</ObjectFileName>
    </ClCompile>
    <ClCompile Include="Alc\backends\opensl.c" />
    <ClCompile Include="Alc\backends\wave.c" />
    <ClCompile Include="Alc\bs2b.c" />
    <ClCompile Include="Alc\bsinc.c" />
    <ClCompile Include="Alc\effects\autowah.c" />
    <ClCompile Include="Alc\effects\chorus.c" />
    <ClCompile Include="Alc\effects\compressor.c" />
    <ClCompile Include="Alc\effects\dedicated.c" />
    <ClCompile Include="Alc\effects\distortion.c" />
    <ClCompile Include="Alc\effects\echo.c" />
    <ClCompile Include="Alc\effects\equalizer.c" />
    <ClCompile Include="Alc\effects\flanger.c" />
    <ClCompile Include="Alc\effects\modulator.c" />
    <ClCompile Include="Alc\effects\null.c" />
    <ClCompile Include="Alc\effects\reverb.c" />
    <ClCompile Include="Alc\helpers.c" />
    <ClCompile Include="Alc\hrtf.c" />
    <ClCompile Include="Alc\mixer.c" />
    <ClCompile Include="Alc\mixer_c.c" />
    <ClCompile Include="Alc\panning.c" />
    <ClCompile Include="common\atomic.c" />
    <ClCompile Include="common\rwlock.c" />
    <ClCompile Include="common\threads.c" />
    <ClCompile Include="common\uintmap.c" />
    <ClCompile Include="OpenAL32\alAuxEffectSlot.c" />
    <ClCompile Include="OpenAL32\alBuffer.c" />
    <ClCompile Include="OpenAL32\alEffect.c" />
    <ClCompile Include="OpenAL32\alError.c" />
    <ClCompile Include="OpenAL32\alExtension.c" />
    <ClCompile Include="OpenAL32\alFilter.c" />
    <ClCompile Include="OpenAL32\alListener.c" />
    <ClCompile Include="OpenAL32\alSource.c" />
    <ClCompile Include="OpenAL32\alState.c" />
    <ClCompile Include="OpenAL32\alThunk.c" />
    <ClCompile Include="OpenAL32\sample_cvt.c" />
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{09eacf25-1827-4526-b65d-1364a1c3ebc8}</ProjectGuid>
    <Keyword>Android</Keyword>
    <RootNamespace>OpenAL</RootNamespace>
    <MinimumVisualStudioVersion>14.0</MinimumVisualStudioVersion>
    <ApplicationType>Android</ApplicationType>
    <ApplicationTypeRevision>2.0</ApplicationTypeRevision>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
    <AndroidAPILevel>android-19</AndroidAPILevel>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
    <AndroidAPILevel>android-19</AndroidAPILevel>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
    <AndroidAPILevel>android-19</AndroidAPILevel>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
    <AndroidAPILevel>android-19</AndroidAPILevel>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
    <AndroidAPILevel>android-19</AndroidAPILevel>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
    <AndroidAPILevel>android-19</AndroidAPILevel>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x86'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
    <AndroidAPILevel>android-19</AndroidAPILevel>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x86'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>Clang_3_8</PlatformToolset>
    <AndroidAPILevel>android-19</AndroidAPILevel>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings" />
  <ImportGroup Label="Shared" />
  <ImportGroup Label="PropertySheets" />
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x86'">
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x86'">
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM64'">
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM64'">
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'">
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM'">
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>include;Alc;OpenAL32/Include;.;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>AL_ALEXT_PROTOTYPES;AL_BUILD_LIBRARY</PreprocessorDefinitions>
      <CLanguageStandard>c99</CLanguageStandard>
      <EnableNeonCodegen>false</EnableNeonCodegen>
      <CppLanguageStandard>c++11</CppLanguageStandard>
    </ClCompile>
    <Link>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);OpenSLES;m</LibraryDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>include;Alc;OpenAL32/Include;.;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>AL_ALEXT_PROTOTYPES;AL_BUILD_LIBRARY</PreprocessorDefinitions>
      <CLanguageStandard>c99</CLanguageStandard>
      <EnableNeonCodegen>false</EnableNeonCodegen>
      <AdditionalOptions>/arch:SSE2 %(AdditionalOptions)</AdditionalOptions>
      <CppLanguageStandard>c++11</CppLanguageStandard>
    </ClCompile>
    <Link>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);OpenSLES</LibraryDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x86'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>include;Alc;OpenAL32/Include;.;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>AL_ALEXT_PROTOTYPES;AL_BUILD_LIBRARY</PreprocessorDefinitions>
      <CLanguageStandard>c99</CLanguageStandard>
      <EnableNeonCodegen>false</EnableNeonCodegen>
      <CppLanguageStandard>c++11</CppLanguageStandard>
    </ClCompile>
    <Link>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);OpenSLES;m</LibraryDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x86'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>include;Alc;OpenAL32/Include;.;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>AL_ALEXT_PROTOTYPES;AL_BUILD_LIBRARY</PreprocessorDefinitions>
      <CLanguageStandard>c99</CLanguageStandard>
      <EnableNeonCodegen>false</EnableNeonCodegen>
      <AdditionalOptions>/arch:SSE2 %(AdditionalOptions)</AdditionalOptions>
      <CppLanguageStandard>c++11</CppLanguageStandard>
    </ClCompile>
    <Link>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);OpenSLES</LibraryDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM64'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>include;Alc;OpenAL32/Include;.;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>AL_ALEXT_PROTOTYPES;AL_BUILD_LIBRARY</PreprocessorDefinitions>
      <CLanguageStandard>c99</CLanguageStandard>
      <EnableNeonCodegen>false</EnableNeonCodegen>
      <CppLanguageStandard>c++11</CppLanguageStandard>
    </ClCompile>
    <Link>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);OpenSLES;m</LibraryDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM64'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>include;Alc;OpenAL32/Include;.;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>AL_ALEXT_PROTOTYPES;AL_BUILD_LIBRARY</PreprocessorDefinitions>
      <CLanguageStandard>c99</CLanguageStandard>
      <EnableNeonCodegen>false</EnableNeonCodegen>
      <AdditionalOptions>/arch:SSE2 %(AdditionalOptions)</AdditionalOptions>
      <CppLanguageStandard>c++11</CppLanguageStandard>
    </ClCompile>
    <Link>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);OpenSLES</LibraryDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>include;Alc;OpenAL32/Include;.;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>AL_ALEXT_PROTOTYPES;AL_BUILD_LIBRARY</PreprocessorDefinitions>
      <CLanguageStandard>c99</CLanguageStandard>
      <EnableNeonCodegen>false</EnableNeonCodegen>
      <CppLanguageStandard>c++11</CppLanguageStandard>
    </ClCompile>
    <Link>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);OpenSLES;m</LibraryDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>include;Alc;OpenAL32/Include;.;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>AL_ALEXT_PROTOTYPES;AL_BUILD_LIBRARY</PreprocessorDefinitions>
      <CLanguageStandard>c99</CLanguageStandard>
      <EnableNeonCodegen>false</EnableNeonCodegen>
      <AdditionalOptions>/arch:SSE2 %(AdditionalOptions)</AdditionalOptions>
      <CppLanguageStandard>c++11</CppLanguageStandard>
    </ClCompile>
    <Link>
      <LibraryDependencies>$(StlLibraryName);%(LibraryDependencies);OpenSLES</LibraryDependencies>
    </Link>
  </ItemDefinitionGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets" />
</Project>